package bmp11;

import java.util.Collection;
import java.util.Iterator;

import javax.ejb.CreateException;
import javax.ejb.DuplicateKeyException;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class Client {

	public static void main(String[] args) throws Exception{

		InitialContext ctx = new InitialContext();
		ManHome home = (ManHome)PortableRemoteObject.narrow(
			ctx.lookup("ManBMP"), ManHome.class
		);

		try {
			Man man = home.create("001");
			man.setName("RcY");
			man.setAge(10);

			man = home.create("002");
			man.setName("RcY");
			man.setAge(9);

			man = home.create("003");
			man.setName("RcOY");
			man.setAge(8);

//		}catch(DuplicateKeyException e){
//			System.out.println(e);
//		}
		}catch(Exception e){
			System.out.println(e);
		}

		
//		Man man = home.findByPrimaryKey("001");
//		System.out.println(
//			"name=" + man.getName()
//			+ ",age=" + man.getAge()
//			);


		Collection col = home.findUnderAge(10);
		Iterator iter = col.iterator();
		while(iter.hasNext()){
			Man man = (Man)iter.next();
			System.out.println(
				"name=" + man.getName()
				+ ",age=" + man.getAge()
				);
		}
		

		System.out.println("END");
	}


}
